首 页 » VPS控制面板 » Virtualmin/Webmin升级php到最新版本

Virtualmin/Webmin升级php到最新版本

2010-09-06 | 浏览人数: 7,690次 | 分类: VPS控制面板 | 2条评论 | 查看评论 发表评论

升级的原因,因为某些程序推荐PHP版本为5.2,虽然5.1版本也不影响功能,但是部分程序运行不了,例如新版本的phpmyadmin就要求PHP版本最低是5.2以上,因此建议大家升级吧,升级的步骤比较简单,如下所述:

首先在SSH命令行输入:

vi /etc/yum.repos.d/utterrambling.repo

如提示vi命令不存的可以用下面这个命令:

vim /etc/yum.repos.d/utterrambling.repo

32bit的Centos输入以下内容:

[utterramblings]
name=Jason’s Utter Ramblings Repo
baseurl=http://www.jasonlitka.com/media/EL5/i386/
enabled=1
gpgcheck=1
gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

64bit的Centos输入以下内容:

[utterramblings]
name=Jason’s Utter Ramblings Repo
baseurl=http://www.jasonlitka.com/media/EL5/x86_64/
enabled=1
gpgcheck=1
gpgkey=http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka

保存并退出vim模式,回到SSH命令行,输入以下命令:

yum -y upgrade php

升级的过程中会有2个 y/n 的提问,输入y并回车就可以了,大概2分钟左右就升级完毕了,此时输入命令

php -v

就能看到PHP版本已经更新到 5.2.13的版本了,如升级有疑问,可以留言给我。

转载:http://www.vpsbeta.com/vps%E4%B8%8A%E5%AE%89%E8%A3%85virtualminwebmin%E5%B9%B6%E5%8D%87%E7%BA%A7php%E7%89%88%E6%9C%AC%E5%88%B05-2-11/

原创文章如转载,请注明:转载自深度VPS [ http://www.deepvps.com ]
[复制本文链接发送给您的好友]
  • 上一篇:
  • 下一篇:
  • 日志信息 »

    该日志于2010-09-06 17:41由 deepvps 发表在VPS控制面板分类下, 你可以发表评论。除了可以将这个日志以保留源地址及作者的情况下引用到你的网站或博客,还可以通过RSS 2.0订阅这个日志的所有评论。

    相关日志 »

    共有2条评论 [点此发言]

    1. 1楼 JOY 2010年09月6日 20:32

      再来趟回浑水:
      wget -c http://deak17.googlecode.com/files/CentOS-Base.repo.tar.gz
      tar zxvf CentOS-Base.repo.tar.gz
      /bin/cp -rf CentOS-Base.repo /etc/yum.repos.d/
      rpm –import http://www.jasonlitka.com/media/RPM-GPG-KEY-jlitka
      yum update php -y
      yum -y remove php-pecl-memcache.i386 php-pecl-Fileinfo.i386

      [回复]

      deepvps 2010年09月7日 08:38 回复:

      谢谢分享。

      [回复]

    发表评论 »

    = 7 + 7 (防止机器人评论)

     疑问 冷笑 悲伤 坏蛋 感叹 微笑 脸红 大笑 吃惊 惊讶 困惑 酷 大声笑 恼火 古怪 转眼睛 给眼色 好主意 箭头 一般 哭了 绿人